Intel® Distribution for Python*
Support and discussions for achieving faster Python* applications and core computational packages.
Announcements
Welcome to the Intel Community. If you get an answer you like, please mark it as an Accepted Solution to help others. Thank you!
371 Discussions

Install/update downgrade intelpython3_core to 0.0.0.custom-0

Gobeil__jeremie
Beginner
393 Views

Hi,

Almost all install produce this:

The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    ipywidgets-7.0.0           |     py36_intel_0          94 KB  intel
    widgetsnbextension-3.2.0   |           py36_0         1.7 MB  intel
    ------------------------------------------------------------
                                           Total:         1.8 MB

The following NEW packages will be INSTALLED:

    intel-openmp:       2018.0.3-0
    ipywidgets:         7.0.0-py36_intel_0 intel       [intel]
    llvm-meta:          6.0.0-0            conda-forge
    widgetsnbextension: 3.2.0-py36_0       intel

The following packages will be UPDATED:

    mkl:                2018.0.3-intel_1   intel       --> 2018.0.3-1

The following packages will be DOWNGRADED:

    intelpython3_core:  2018.0.3-0         intel       --> 0.0.0.custom-0      intel
    openmp:             2018.0.3-intel_0   intel       --> 6.0.0-vc14_1        conda-forge [vc14 ]
    pip:                9.0.3-py36_0       intel       --> 9.0.1-py36_intel_1  intel       [intel]
    setuptools:         39.0.1-py36_0      intel       --> 27.2.0-py36_intel_0 intel       [intel]

 

I don't like and don't understand why intelpython3_core is downgraded to an unnumbered version, that OpenMP is overridden by the conda-forge version (conda-forge is last in the channels list), that mkl is override by the anaconda channels, and similar concern with pip and setuptools.

For now, I pinned mkl, intelpython3_core, OpenMP, pip, and setuptools to current version.

Is there a reason for all that and a way to not pin them and keep sane and current version?

Thanks

0 Kudos
4 Replies
gaston-hillar
Black Belt
393 Views

Jeremie,

Which operating system and version are you using?

Todd_T_Intel
Employee
393 Views

Hello Jeremie,

In order to understand why the conda solver is making those choices, I need to see what packages are in your environment and what channels are configured.

Can you add the output of both "conda list" and "conda info"? Thank you.

Also, I apologize that it has taken so long for someone to respond to your initial request.

Best, Todd

 

Gobeil__jeremie
Beginner
393 Views

Hi,

I removed and reinstall but I have the same problem.

When I try to install a package from intel, anaconda or conda-forge channels a whole bunch of things get updated/downgraded even if all the dependencies of the package are satisfied. Conda is up to date.

Here more info

OS Name    Microsoft Windows 10 Enterprise
Version    10.0.16299 Build 16299

# packages in environment at C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\envs\idp3:
#
# Name                    Version                   Build  Channel
asn1crypto                0.24.0             py36_intel_1  [intel]  intel
backcall                  0.1.0              py36_intel_0  [intel]  intel
backports                 1.0                py36_intel_6  [intel]  intel
bleach                    2.1.3              py36_intel_0  [intel]  intel
bzip2                     1.0.6             vc14_intel_14  [vc14 intel]  intel
certifi                   2018.1.18          py36_intel_0  [intel]  intel
cffi                      1.11.5             py36_intel_1  [intel]  intel
chardet                   3.0.4              py36_intel_0  [intel]  intel
colorama                  0.3.9              py36_intel_0  [intel]  intel
cryptography              2.2.2              py36_intel_1  [intel]  intel
cycler                    0.10.0             py36_intel_5  [intel]  intel
cython                    0.28.2             py36_intel_4  [intel]  intel
daal                      2018.0.3.20180405               0    intel
decorator                 4.3.0              py36_intel_0  [intel]  intel
entrypoints               0.2.3              py36_intel_0  [intel]  intel
freetype                  2.9                vc14_intel_1  [vc14 intel]  intel
get_terminal_size         1.0.0              py36_intel_5  [intel]  intel
hdf5                      1.10.1             vc14_intel_0  [vc14 intel]  intel
html5lib                  1.0.1              py36_intel_1  [intel]  intel
icc_rt                    2018.0.3                intel_0  [intel]  intel
idna                      2.6                py36_intel_0  [intel]  intel
impi_rt                   2018.0.3                intel_0  [intel]  intel
intelpython               2018.0.3                      0    intel
intelpython3_core         2018.0.3                      0    intel
intelpython3_full         2018.0.3                      1    intel
ipykernel                 4.6.1              py36_intel_0  [intel]  intel
ipyparallel               6.0.2              py36_intel_0  [intel]  intel
ipython                   6.3.1              py36_intel_1  [intel]  intel
ipython_genutils          0.2.0              py36_intel_0  [intel]  intel
ipywidgets                7.0.0              py36_intel_0  [intel]  intel
jedi                      0.12.0             py36_intel_0  [intel]  intel
jinja2                    2.9.6              py36_intel_0  [intel]  intel
jsonschema                2.6.0              py36_intel_0  [intel]  intel
jupyter                   1.0.0              py36_intel_5  [intel]  intel
jupyter_client            5.1.0              py36_intel_0  [intel]  intel
jupyter_console           5.1.0              py36_intel_0  [intel]  intel
jupyter_core              4.4.0              py36_intel_1  [intel]  intel
kiwisolver                1.0.1                    py36_1    intel
libpng                    1.6.34             vc14_intel_1  [vc14 intel]  intel
llvmlite                  0.23.0                   py36_0    intel
markupsafe                1.0                py36_intel_0  [intel]  intel
matplotlib                2.2.2           np114py36_intel_1  [intel]  intel
mistune                   0.7.4              py36_intel_1  [intel]  intel
mkl                       2018.0.3                intel_1    intel
mkl_fft                   1.0.2           np114py36_intel_0  [intel]  intel
mkl_random                1.0.1           np114py36_intel_0  [intel]  intel
mpi4py                    3.0.0              py36_intel_0  [intel]  intel
mpmath                    1.0.0              py36_intel_0  [intel]  intel
nbconvert                 5.2.1              py36_intel_0  [intel]  intel
nbformat                  4.4.0              py36_intel_0  [intel]  intel
nose                      1.3.7             py36_intel_16  [intel]  intel
notebook                  5.2.2              py36_intel_0  [intel]  intel
numba                     0.38.0          np114py36_intel_3  [intel]  intel
numexpr                   2.6.4           np114py36_intel_0  [intel]  intel
numpy                     1.14.3             py36_intel_0  [intel]  intel
openmp                    2018.0.3                intel_0    intel
openssl                   1.0.2o             vc14_intel_0  [vc14 intel]  intel
pandas                    0.22.0          np114py36_intel_4  [intel]  intel
pandocfilters             1.4.1              py36_intel_0  [intel]  intel
parso                     0.2.0              py36_intel_0  [intel]  intel
path.py                   11.0.1             py36_intel_0  [intel]  intel
pickleshare               0.7.4              py36_intel_1  [intel]  intel
pip                       9.0.3                    py36_0    intel
prompt_toolkit            1.0.15             py36_intel_0  [intel]  intel
pycparser                 2.18               py36_intel_0  [intel]  intel
pydaal                    2018.0.3.20180405 np114py36_intel_1  [intel]  intel
pygments                  2.2.0              py36_intel_1  [intel]  intel
pyopenssl                 17.5.0             py36_intel_0  [intel]  intel
pyparsing                 2.2.0              py36_intel_0  [intel]  intel
pysocks                   1.6.7              py36_intel_0  [intel]  intel
pytables                  3.4.2           np114py36_intel_4  [intel]  intel
python                    3.6.3                  intel_12  [intel]  intel
python-dateutil           2.6.0              py36_intel_3  [intel]  intel
pytz                      2018.4             py36_intel_0  [intel]  intel
pyyaml                    3.12               py36_intel_3  [intel]  intel
pyzmq                     16.0.2             py36_intel_4  [intel]  intel
requests                  2.18.4             py36_intel_0  [intel]  intel
scikit-learn              0.19.1          np114py36_intel_29  [intel]  intel
scipy                     1.0.1           np114py36_intel_3  [intel]  intel
setuptools                39.0.1                   py36_0    intel
simplegeneric             0.8.1              py36_intel_5  [intel]  intel
six                       1.11.0                   py36_2    intel
sqlite                    3.23.1             vc14_intel_0  [vc14 intel]  intel
sympy                     1.1.1              py36_intel_3  [intel]  intel
tbb                       2018.0.4                 vc14_0  [vc14]  intel
tbb4py                    2018.0.4            py36_vc14_0  [vc14]  intel
tcl                       8.6.4             vc14_intel_19  [vc14 intel]  intel
testpath                  0.3.1              py36_intel_0  [intel]  intel
tk                        8.6.4             vc14_intel_26  [vc14 intel]  intel
tornado                   4.5.2              py36_intel_0  [intel]  intel
traitlets                 4.3.2              py36_intel_1  [intel]  intel
urllib3                   1.22               py36_intel_0  [intel]  intel
vc                        14.0                          2    intel
vs2015_runtime            14.0.25420              intel_0  [intel]  intel
wcwidth                   0.1.7              py36_intel_5  [intel]  intel
webencodings              0.5.1                    py36_0    intel
wheel                     0.31.0             py36_intel_0  [intel]  intel
widgetsnbextension        3.2.0                    py36_0    intel
win_inet_pton             1.0.1              py36_intel_0  [intel]  intel
win_unicode_console       0.5                py36_intel_0  [intel]  intel
wincertstore              0.2                py36_intel_0  [intel]  intel
xz                        5.2.3              vc14_intel_0  [vc14 intel]  intel
zlib                      1.2.11             vc14_intel_3  [vc14 intel]  intel

 

     active environment : idp3
    active env location : C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\envs\idp3
            shell level : 2
       user config file : C:\Users\jgobeil\.condarc
 populated config files : C:\Users\jgobeil\.condarc
          conda version : 4.5.9
    conda-build version : 3.10.5
         python version : 3.6.5.final.0
       base environment : C:\Users\jgobeil\AppData\Local\Continuum\anaconda3  (writable)
           channel URLs : https://conda.anaconda.org/intel/win-64
                          https://conda.anaconda.org/intel/noarch
                          https://repo.anaconda.com/pkgs/main/win-64
                          https://repo.anaconda.com/pkgs/main/noarch
                          https://repo.anaconda.com/pkgs/free/win-64
                          https://repo.anaconda.com/pkgs/free/noarch
                          https://repo.anaconda.com/pkgs/r/win-64
                          https://repo.anaconda.com/pkgs/r/noarch
                          https://repo.anaconda.com/pkgs/pro/win-64
                          https://repo.anaconda.com/pkgs/pro/noarch
                          https://repo.anaconda.com/pkgs/msys2/win-64
                          https://repo.anaconda.com/pkgs/msys2/noarch
                          https://conda.anaconda.org/conda-forge/win-64
                          https://conda.anaconda.org/conda-forge/noarch
          package cache : C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\pkgs
                          C:\Users\jgobeil\AppData\Local\conda\conda\pkgs
       envs directories : C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\envs
                          C:\Users\jgobeil\AppData\Local\conda\conda\envs
                          C:\Users\jgobeil\.conda\envs
               platform : win-64
             user-agent : conda/4.5.9 requests/2.18.4 CPython/3.6.5 Windows/10 Windows/10.0.16299
          administrator : False
             netrc file : None
           offline mode : False
(idp3) C:\Users\jgobeil>conda update --all
Solving environment: done

# All requested packages already installed.
(idp3) C:\Users\jgobeil>conda install qgrid
Solving environment: done

## Package Plan ##

  environment location: C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\envs\idp3

  added / updated specs:
    - qgrid


The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    six-1.10.0                 |     py36_intel_8          20 KB  intel
    llvm-meta-6.0.0            |                0           3 KB  conda-forge
    distarray-0.6.0            |     py36_intel_4         282 KB  intel
    intelpython3_full-0.0.0.custom|                0           2 KB  intel
    numba-0.35.0               |     py36_intel_0         2.2 MB  intel
    intel-openmp-2018.0.3      |                0         1.7 MB
    intelpython3_core-0.0.0.custom|                0           2 KB  intel
    pycosat-0.6.3              |   py36hfa6e2cd_0          98 KB
    setuptools-27.2.0          |     py36_intel_0         558 KB  intel
    pip-9.0.1                  |     py36_intel_1         1.7 MB  intel
    openmp-6.0.0               |           vc14_1         308 KB  conda-forge
    qgrid-1.0.5                |           py36_1         1.3 MB
    mkl-2018.0.3               |                1       178.1 MB
    llvmlite-0.20.0            |     py36_intel_0         6.3 MB  intel
    ------------------------------------------------------------
                                           Total:       192.5 MB

The following NEW packages will be INSTALLED:

    distarray:         0.6.0-py36_intel_4       intel       [intel]
    intel-openmp:      2018.0.3-0
    llvm-meta:         6.0.0-0                  conda-forge
    menuinst:          1.4.14-py36hfa6e2cd_0
    pycosat:           0.6.3-py36hfa6e2cd_0
    pywin32:           223-py36hfa6e2cd_1
    qgrid:             1.0.5-py36_1

The following packages will be UPDATED:

    mkl:               2018.0.3-intel_1         intel       --> 2018.0.3-1

The following packages will be DOWNGRADED:

    intelpython3_core: 2018.0.3-0               intel       --> 0.0.0.custom-0      intel
    intelpython3_full: 2018.0.3-1               intel       --> 0.0.0.custom-0      intel
    llvmlite:          0.23.0-py36_0            intel       --> 0.20.0-py36_intel_0 intel       [intel]
    numba:             0.38.0-np114py36_intel_3 intel       [intel] --> 0.35.0-py36_intel_0 intel       [intel]
    openmp:            2018.0.3-intel_0         intel       --> 6.0.0-vc14_1        conda-forge [vc14 ]
    pip:               9.0.3-py36_0             intel       --> 9.0.1-py36_intel_1  intel       [intel]
    setuptools:        39.0.1-py36_0            intel       --> 27.2.0-py36_intel_0 intel       [intel]
    six:               1.11.0-py36_2            intel       --> 1.10.0-py36_intel_8 intel       [intel]

Proceed (/n)?
(idp3) C:\Users\jgobeil>conda info qgrid=="1.0.5 py36_1"

qgrid 1.0.5 py36_1
------------------
file name   : qgrid-1.0.5-py36_1.tar.bz2
name        : qgrid
version     : 1.0.5
build string: py36_1
build number: 1
channel     : https://repo.anaconda.com/pkgs/main/win-64
size        : 1.3 MB
arch        : None
constrains  : ()
license     : Apache 2.0
license_family: Apache
md5         : 6acc7f17c09c8d6b81c3a595d031e8c2
platform    : None
subdir      : win-64
timestamp   : 1528148290926
url         : https://repo.anaconda.com/pkgs/main/win-64/qgrid-1.0.5-py36_1.tar.bz2
dependencies:
    ipywidgets >=7.0.0
    notebook >=4.0.0
    pandas >=0.18.0
    python >=3.6,<3.7.0a0
(idp3) C:\Users\jgobeil>conda config --show
add_anaconda_token: True
add_pip_as_python_dependency: True
aggressive_update_packages:
  - ca-certificates
  - certifi
  - openssl
allow_non_channel_urls: False
allow_softlinks: False
always_copy: False
always_softlink: False
always_yes: None
anaconda_upload: None
auto_update_conda: True
changeps1: True
channel_alias: https://conda.anaconda.org
channel_priority: True
channels:
  - intel
  - defaults
  - conda-forge
client_ssl_cert: None
client_ssl_cert_key: None
clobber: False
create_default_packages: []
custom_channels:
  pkgs/main: https://repo.anaconda.com
  pkgs/free: https://repo.anaconda.com
  pkgs/r: https://repo.anaconda.com
  pkgs/pro: https://repo.anaconda.com
  pkgs/msys2: https://repo.anaconda.com
custom_multichannels:
  defaults: ["https://repo.anaconda.com/pkgs/main", "https://repo.anaconda.com/pkgs/free", "https://repo.anaconda.com/pkgs/r", "https://repo.anaconda.com/pkgs/pro", "https://repo.anaconda.com/pkgs/msys2"]
  local: []
default_channels:
  - https://repo.anaconda.com/pkgs/main
  - https://repo.anaconda.com/pkgs/free
  - https://repo.anaconda.com/pkgs/r
  - https://repo.anaconda.com/pkgs/pro
  - https://repo.anaconda.com/pkgs/msys2
disallowed_packages: []
download_only: False
envs_dirs:
  - C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\envs
  - C:\Users\jgobeil\AppData\Local\conda\conda\envs
  - C:\Users\jgobeil\.conda\envs
force: False
json: False
local_repodata_ttl: 1
max_shlvl: 2
migrated_channel_aliases: []
no_dependencies: False
non_admin_enabled: True
notify_outdated_conda: True
offline: False
override_channels_enabled: True
path_conflict: clobber
pinned_packages: []
pkgs_dirs:
  - C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\pkgs
  - C:\Users\jgobeil\AppData\Local\conda\conda\pkgs
proxy_servers: {}
quiet: False
remote_connect_timeout_secs: 9.15
remote_max_retries: 3
remote_read_timeout_secs: 60.0
report_errors: None
rollback_enabled: True
safety_checks: warn
shortcuts: True
show_channel_urls: None
ssl_verify: True
track_features: []
use_index_cache: False
use_pip: True
verbosity: 0
whitelist_channels: []

 

Gobeil__jeremie
Beginner
393 Views
(idp3) C:\>conda install nodejs
Solving environment: done

## Package Plan ##

  environment location: C:\Users\jgobeil\AppData\Local\Continuum\anaconda3\envs\idp3

  added / updated specs:
    - nodejs


The following packages will be downloaded:

    package                    |            build
    ---------------------------|-----------------
    nodejs-8.9.3               |       hd6b2f15_0        12.7 MB

The following NEW packages will be INSTALLED:

    nodejs:            8.9.3-hd6b2f15_0

The following packages will be REMOVED:

    intelpython3_full: 2018.0.3-1       intel

Proceed (/n)? n

(idp3) C:\>conda update --all
Solving environment: failed

UnsatisfiableError: The following specifications were found to be in conflict:
  - intelpython3_full
  - intelpython3_full==2018.0.3-1
Use "conda info <package>" to see the dependencies for each package. 

 

 

Reply